package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;

public class Tag72Creator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag72Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag72Value = mt103RemitCreator.getSenderToReceiverInformation();
        mt103RemitCreator.set("72", tag72Value);
    }
}
